xmpp_sock_t Struct Reference

## Data Fields

xmpp_ctx_t * | ctx
xmpp_conn_t * | conn
struct addrinfo * | ainfo_list
struct addrinfo * | ainfo_cur
resolver_srv_rr_t * | srv_rr_list
resolver_srv_rr_t * | srv_rr_cur
const char * | host
unsigned short | port

## Field Documentation

## ctx

xmpp_ctx_t* xmpp_sock_t::ctx

## conn

xmpp_conn_t* xmpp_sock_t::conn

## ainfo_list

struct addrinfo* xmpp_sock_t::ainfo_list

## ainfo_cur

struct addrinfo* xmpp_sock_t::ainfo_cur

## srv_rr_list

resolver_srv_rr_t* xmpp_sock_t::srv_rr_list

## srv_rr_cur

resolver_srv_rr_t* xmpp_sock_t::srv_rr_cur

## host

const char* xmpp_sock_t::host

## port

unsigned short xmpp_sock_t::port

The documentation for this struct was generated from the following file:

- sock.c